<?php

/*
 * PuzzleApp
 * Webemyos
 * Jérôme Oliva
 * GNU Licence
 */

namespace Apps\DownloadManager\Entity;

use Core\Entity\Entity\Entity;
use Core\Entity\Entity\Property;

class DmDownload extends Entity {

    function __construct($core) {

        $this->Version = "1.0.0.0";

        $this->Core      = $core;
        $this->TableName = "DmDownload";
        $this->Alias     = "DmDownload";

        $this->DocumentId   = new Property("DocumentId",  "DocumentId",  NUMERICBOX, true,  $this->Alias);
        $this->Email        = new Property("Email",       "Email",       TEXTBOX,    true,  $this->Alias);
        $this->DateDownload = new Property("DateDownload","DateDownload", TEXTBOX,   false, $this->Alias);
        $this->IpAddress    = new Property("IpAddress",   "IpAddress",   TEXTBOX,   false, $this->Alias);

        $this->Create();
    }
}

?>
